Bug 151392 - [UPDATE] x11-drivers/xf86-video-ati to v6.13.2
Summary: [UPDATE] x11-drivers/xf86-video-ati to v6.13.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-11 15:40 UTC by atkin901
Modified: 2010-12-27 20:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.29 KB, patch)
2010-10-11 15:40 UTC, atkin901
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description atkin901 2010-10-11 15:40:00 UTC
This updates xf86-video-ati to v6.13.2.   This should supercede the v6.13.1 update (ports/148712).   Several people in the x11 mailing list have reported no problems and success with this version.   Personally it fixes the annoying scroll glitch in v6.13.0 and have been running it for many weeks without error.

It does not fix the load/unload error on some chipsets, which will still require a reboot upon exiting xorg.   That appears to be a kernel level issue.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-10-11 15:40:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andriy Gapon freebsd_committer 2010-12-10 15:06:16 UTC
Just for the record, 6.13.2 didn't help with the scrolling glitch in my case.

-- 
Andriy Gapon
Comment 3 Philip M. Gollucci freebsd_committer 2010-12-18 03:46:23 UTC
Responsible Changed
From-To: freebsd-x11->pgollucci

I will take it.
Comment 4 dfilter service freebsd_committer 2010-12-27 19:55:43 UTC
pgollucci    2010-12-27 19:55:37 UTC

  FreeBSD ports repository

  Modified files:
    x11-drivers/xf86-video-ati Makefile distinfo 
  Log:
  - Update to 6.13.2
  - Remove MD5
  
  Tested on:
  vgapci0@pci0:1:0:0:     class=0x030000 card=0x03421028 chip=0x95c51002 rev=0x00 hdr=0x00
      vendor     = 'ATI Technologies Inc. / Advanced Micro Devices, Inc.'
      device     = 'ATI Radeon HD 3450 (RV620 LE)'
      class      = display
      subclass   = VGA
  
  PR:             ports/151392
  Submitted by:   Mark Atkinson <atkin901@gmail.com>
  
  Revision  Changes    Path
  1.23      +1 -1      ports/x11-drivers/xf86-video-ati/Makefile
  1.17      +3 -3      ports/x11-drivers/xf86-video-ati/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Philip M. Gollucci freebsd_committer 2010-12-27 19:55:44 UTC
State Changed
From-To: open->closed

Committed, Thanks!